summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author orbea2020-08-31 21:55:08 +0200
committer Willy Sudiarto Raharjo2020-09-05 03:26:38 +0200
commit222c12ac216f952def3f108c9056933bc306b147 (patch)
treed666a42f43b032a16443e944e449da295b41d31c /graphics
parent6c1cebe2de8942aa13a7623d46e91ee438df4495 (diff)
downloadslackbuilds-222c12ac216f952def3f108c9056933bc306b147.tar.gz
graphics/apitrace: Updated for v 9.0, Moved from Development.
Signed-off-by: orbea <orbea@riseup.net> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/apitrace/README15
-rw-r--r--graphics/apitrace/apitrace.SlackBuild96
-rw-r--r--graphics/apitrace/apitrace.info10
-rw-r--r--graphics/apitrace/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/graphics/apitrace/README b/graphics/apitrace/README
new file mode 100644
index 0000000000..9a194296da
--- /dev/null
+++ b/graphics/apitrace/README
@@ -0,0 +1,15 @@
+apitrace consists of a set of tools to:
+
+ trace OpenGL, OpenGL ES, Direct3D, and DirectDraw APIs calls to a file;
+
+ replay OpenGL and OpenGL ES calls from a file;
+
+ inspect OpenGL state at any call while retracing;
+
+ visualize and edit trace files.
+
+
+Optional dependencies:
+
+ qt5 - Builds the qapitrace gui.
+ snappy - Will use a bundled version if missing.
diff --git a/graphics/apitrace/apitrace.SlackBuild b/graphics/apitrace/apitrace.SlackBuild
new file mode 100644
index 0000000000..d0f5078f05
--- /dev/null
+++ b/graphics/apitrace/apitrace.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for apitrace
+
+# Copyright 2015-2017, 2019-2020 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=apitrace
+VERSION=${VERSION:-9.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DDOC_INSTALL_DIR=doc/$PRGNAM-$VERSION \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DENABLE_STATIC_SNAPPY=OFF \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/apitrace/apitrace.info b/graphics/apitrace/apitrace.info
new file mode 100644
index 0000000000..f882c4141f
--- /dev/null
+++ b/graphics/apitrace/apitrace.info
@@ -0,0 +1,10 @@
+PRGNAM="apitrace"
+VERSION="9.0"
+HOMEPAGE="https://apitrace.github.io/"
+DOWNLOAD="https://github.com/apitrace/apitrace/archive/9.0/apitrace-9.0.tar.gz"
+MD5SUM="83bacfb35f4f339571702099d283f571"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3"
+MAINTAINER="Hunter Sezen"
+EMAIL="orbea@riseup.net"
diff --git a/graphics/apitrace/slack-desc b/graphics/apitrace/slack-desc
new file mode 100644
index 0000000000..38c63576c1
--- /dev/null
+++ b/graphics/apitrace/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+apitrace: apitrace (Tools for tracing OpenGL and other graphics APIs)
+apitrace:
+apitrace: apitrace consists of a set of tools to:
+apitrace:
+apitrace: trace OpenGL, OpenGL ES, Direct3D, and DirectDraw APIs calls to a
+apitrace: file; replay OpenGL and OpenGL ES calls from a file; inspect OpenGL
+apitrace: state at any call while retracing; visualize and edit trace files.
+apitrace:
+apitrace: Homepage: https://apitrace.github.io/
+apitrace:
+apitrace: